### Property

# FwupdPlugin Device:required-free

#### Declaration

    property required-free: guint64 [ read, write ]

#### Description [src]

The required amount of free firmware space.

Type: | `guint64`
Available since: | 2.0.12

Setter method | `fu_device_set_required_free()`
Getter method | `fu_device_get_required_free()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no